petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSegBufferExtractInPlace

extract in-place contiguous representation of data and reset segmented buffer for reuse

### Synopsis

    PetscErrorCode PetscSegBufferExtractInPlace(PetscSegBuffer seg,void *contig)

Not Collective

### Input Arguments

seg -segmented buffer object

### Output Arguments

contig -address of pointer to contiguous memory

### See Also

PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo()

### Level

developer

### Location

src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages